events.listen('recipes', function (e) {


    function Alloy(input, qte, input2, qte2, input3, qte3, output, result,energy) {
        e.custom({
            "type": "thermal:smelter",
            "ingredients": [
                { "item": input, "count": qte },
                { "item": input2, "count": qte2 },
                { "item": input3, "count": qte3 }
            ],
            "result": [
                { "item": output, "count": result }],
            "energy": energy
        })
    }

    Alloy('thermal:bronze_ingot', 1, 'thermal_extra:dragon_breath_plating', 3, 'thermal:lumium_ingot', 1, 'thermal_extra:dragon_bronze_ingot',2, 10000)
    Alloy('thermal_extra:dragon_breath_plating', 3, 'thermal:enderium_ingot', 1, 'thermal_extra:dragon_bronze_ingot', 1, 'thermal_extra:dragon_enderium_ingot',2, 10000)
    Alloy('thermal_extra:dragon_enderium_ingot', 1, 'minecraft:honey_block', 1, 'thermal:constantan_ingot', 1, 'thermal_extra:nectium_ingot',2, 10000)
    Alloy('thermal:cinnabar', 1, 'thermal_extra:nectium_ingot', 1, 'thermal_extra:cactus_dust', 1, 'thermal_extra:vukaium_ingot',2, 10000)
    Alloy('thermal_extra:vukaium_ingot', 1, 'thermal:dust_cryotheum', 1, 'kubejs:platinum_ingot', 1, 'thermal_extra:polarium_ingot',2, 10000)
    Alloy('thermal_extra:polarium_ingot', 1, 'thermal:apatite', 1, 'minecraft:prismarine_shard', 1, 'thermal_extra:drownium_ingot',2, 10000)
    Alloy('thermal_extra:drownium_ingot', 1, 'minecraft:purpur_block', 1, 'tconstruct:manyullyn_ingot', 1, 'thermal_extra:nebulium_ingot',2, 10000)
    Alloy('thermal_extra:nebulium_ingot', 1, 'thermal:dust_aerotheum', 1, 'thermal:electrum_ingot', 1, 'thermal_extra:zauvium_ingot',2, 15000)
    Alloy('thermal:bronze_ingot', 8, 'thermal:invar_ingot', 8, 'thermal:electrum_ingot', 8, 'berseria_sky:elinvonze_ingot',4, 15000)
    Alloy('minecraft:soul_sand', 4, 'pamhc2foodcore:freshmilkitem', 16, 'minecraft:gold_ingot', 6, 'materialis:fairy_ingot',4, 15000)
    Alloy('kubejs:diamond_ingot', 1, 'thermal:lead_ingot', 3, 'extendedcrafting:ender_ingot', 2, 'thermal:enderium_ingot',4, 10000)
    Alloy('thermal:constantan_ingot', 6, 'kubejs:emerald_ingot', 4, 'kubejs:diamond_ingot', 4, 'berseria_sky:comerald_ingot',4, 30000)
    Alloy('tinkers_reforged:blazing_copper_ingot', 2, 'minecraft:netherite_ingot', 1, 'minecraft:lapis_block', 1, 'tinkers_reforged:gausum_ingot',2, 10000)
    
    

    function Alloy2(input, qte, input2, qte2, output, result) {
        e.custom({
            "type": "thermal:smelter",
            "ingredients": [
            {"item": input, "count": qte },
            {"item": input2, "count": qte2 }],
            "result": [
            {"item": output, "count": result }],
            "energy": 15000})}

    Alloy2('betterendforge:ender_dust',1,'betterendforge:thallasium_ingot',1,'betterendforge:terminite_ingot',1)      
    Alloy2('minecraft:iron_ingot',1,'minecraft:redstone',8,'extendedcrafting:redstone_ingot',1)
    Alloy2('immersiveengineering:storage_aluminum',1,'thermal:copper_ingot',1,'tinkers_reforged:duralumin_ingot',5)
    Alloy2('thermal:copper_block',1,'thermal:dust_pyrotheum',4,'tinkers_reforged:blazing_copper_block',1)
    Alloy2('minecraft:soul_sand',1,'kubejs:ardite_ingot',4,'tinkers_reforged:lavium_ingot',4)
    Alloy2('minecraft:magma_cream',1,'tconstruct:cobalt_ingot',4,'tinkers_reforged:qivium_ingot',4)
    Alloy2('extendedcrafting:redstone_ingot',1,'tinkers_reforged:blazing_copper_ingot',2,'tinkers_reforged:electrical_copper_ingot',2)
    
    
    function Jetpack(input, output, plate) {
        e.custom({
            "type": "thermal:smelter",
            "ingredients": [
            {"item": input, "count": 1 }],
            "result": [
            {"item": output, "count": 1 },{
             "item": plate, "count": 8}],
            "energy": 100000})}

   Jetpack('simplyjetpacks:jetpack_vanilla1_armored','simplyjetpacks:jetpack_vanilla1','kubejs:ardite_plate')
   Jetpack('simplyjetpacks:jetpack_vanilla2_armored','simplyjetpacks:jetpack_vanilla2','kubejs:rose_gold_plate')
   Jetpack('simplyjetpacks:jetpack_vanilla3_armored','simplyjetpacks:jetpack_vanilla3','kubejs:slimesteel_plate')
   Jetpack('simplyjetpacks:jetpack_vanilla4_armored','simplyjetpacks:jetpack_vanilla4','berseria_sky:elinvonze_plate')
   Jetpack('simplyjetpacks:jetpack_te1_armored','simplyjetpacks:jetpack_te1','simplyjetpacks:armorplating_te1')
   Jetpack('simplyjetpacks:jetpack_te2_armored','simplyjetpacks:jetpack_te2','simplyjetpacks:armorplating_te2')
   Jetpack('simplyjetpacks:jetpack_te3_armored','simplyjetpacks:jetpack_te3','simplyjetpacks:armorplating_te3')
   Jetpack('simplyjetpacks:jetpack_te4_armored','simplyjetpacks:jetpack_te4','simplyjetpacks:armorplating_te4')
   Jetpack('simplyjetpacks:jetpack_mek1_armored','simplyjetpacks:jetpack_mek1','simplyjetpacks:armorplating_mek1')
   Jetpack('simplyjetpacks:jetpack_mek2_armored','simplyjetpacks:jetpack_mek2','simplyjetpacks:armorplating_mek2')
   Jetpack('simplyjetpacks:jetpack_mek3_armored','simplyjetpacks:jetpack_mek3','simplyjetpacks:armorplating_mek3')
   Jetpack('simplyjetpacks:jetpack_mek4_armored','simplyjetpacks:jetpack_mek4','simplyjetpacks:armorplating_mek4')

})
